# -*- coding: utf-8 -*-
'''
#注意事项
#在PC上运行这个文件，python3.6及以上版本，否则运行没有反应
#注意要更改本代码中的串口号，否则会报串口错误
#在PC上观看效果，必须先关闭BXY或将BXY切换到microbit释放串口
'''
# 本实验依赖matplotlib    安装命令pip install matplotlib
# 本实验依赖serial    安装命令pip install pyserial
# 运行本文件，命令行：python light_measure.py


from matplotlib import pyplot as plt
import numpy as np
import serial
import json
import time

n = 100
second = 1

fig = plt.figure()
ax = fig.add_subplot(1,1,1)
com=serial.Serial('com5',115200,timeout=2)#更改成你的掌控板串口号
start_tick=1
y1=[]
y2=[]

while True:
  str = com.readline();
  try:
    v = json.loads(str)
    if(len(y1) == 0):
      start_tick = v["tick"]
    
    if(v["tick"] == 1):
      y1.clear()
      y2.clear()
      start_tick = 1
    y1.append(v["light"])
    y2.append(v["sound"])
    x = np.linspace(start_tick, v["tick"], v["tick"]-start_tick+1)
    try:
      #ax.lines.remove(lines[0])
      pass
    except Exception:
      pass
    ax.plot(x ,y1, 'r')
    ax.plot(x ,y2, 'g')
    plt.legend(['light','sound'])
    plt.pause(0.01)
  except:
    pass